Summary:            Zimbra's libbsd build
Name:               zimbra-libbsd
Version:            0.7.0
Release:            1zimbra8.7b1%{?dist}.30
License:            BSD
Source:             %{name}-%{version}.tar.xz
URL:                http://libbsd.freedesktop.org/

%description
The Zimbra libbsd build

%prep
%setup -n libbsd-%{version}

%build
LDFLAGS="-Wl,-rpath,/opt/zimbra/common/lib"; export LDFLAGS; \
CFLAGS="-fPIC -D_REENTRANT"; export CFLAGS; \
CXXFLAGS="-D_REENTRANT"; export CXXFLAGS;
./configure --prefix=/opt/zimbra/common
make

%install
make install DESTDIR=${RPM_BUILD_ROOT}

%package libs
Summary:        libbsd Libaries
Requires:       zimbra-base
AutoReqProv:        no

%description libs
The zimbra-libbsd-libs package contains the libbsd libraries

%package devel
Summary:        libbsd Development
Requires: zimbra-libbsd-libs = %{version}-%{release}
AutoReqProv:        no

%description devel
The zimbra-libbsd-devel package contains the linking libraries and include files

%files libs
%defattr(-,root,root)
/opt/zimbra/common/lib/*.so.*

%files devel
%defattr(-,root,root)
/opt/zimbra/common/include
/opt/zimbra/common/lib/pkgconfig
/opt/zimbra/common/lib/*.a
/opt/zimbra/common/lib/*.la
/opt/zimbra/common/lib/*.so
%exclude /opt/zimbra/common/share
%changelog
